The following packages have unmet dependencies: linux-headers-4.10.0-33-generic: Depends: linux-headers-4.10.0-33 but it is not installed

Asked by tim williams on 2017-10-03

I've been unable to install this package. But I have very little understanding of linux.

This is the problem:

The following packages have unmet dependencies:

linux-headers-4.10.0-33-generic: Depends: linux-headers-4.10.0-33 but it is not installed

This is my attempt at solution:

I tried the following but get the error message below:

sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  linux-headers-4.10.0-33
The following NEW packages will be installed
  linux-headers-4.10.0-33
.....

Preparing to unpack .../linux-headers-4.10.0-33_4.10.0-33.37~16.04.1_all.deb ...
Unpacking linux-headers-4.10.0-33 (4.10.0-33.37~16.04.1) ...
dpkg: error processing archive /var/cache/apt/archives/linux-headers-4.10.0-33_4.10.0-33.37~16.04.1_all.deb (--unpack):
 unable to open '/usr/src/linux-headers-4.10.0-33/arch/tile/include/uapi/arch/spr_def_32.h.dpkg-new': Operation not permitted
Errors were encountered while processing:
 /var/cache/apt/archives/linux-headers-4.10.0-33_4.10.0-33.37~16.04.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Please can you help with a simple explanation?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
tim williams
Solved:
2017-10-03
Last query:
2017-10-03
Last reply:
2017-10-03

What is the output of:

lsb_release -a; uname -a

Thanks

tim williams (tim0th1) said : #2

thank you for your help.

I solved this issue with a clean
sudo apt-get clean

And removing the other software services providers:
https://askubuntu.com/questions/367083/how-to-disable-third-party-repositories-ubuntu-12-04